## org.eclipse.emf.mint
Interface IItemJavaElementSource

    public interface IItemJavaElementSource

Adapter interface for producing a list of `Java element descriptors` given a model element.

Clients may implement this interface.

See Also:
  `AdapterFactory`

Method Summary
`List<IItemJavaElementDescriptor>` `getJavaElementDescriptors(Object object)` Returns a list of Java element descriptors applicable to the given model element, or an empty list if none.

Method Detail

### getJavaElementDescriptors

    List<IItemJavaElementDescriptor> getJavaElementDescriptors(Object object)

  Returns a list of Java element descriptors applicable to the given model element, or an empty list if none.

  Parameters:
    `object` - model element
  Returns:
    Java element descriptors

Copyright 2008, 2009 Ecliptical Software Inc. and others. All Rights Reserved.